LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
com::sun::star::uno::Mapping Class Reference

C++ wrapper for C uno_Mapping. More...

`#include <mapping.hxx>`

## Public Member Functions
| Mapping (const ::rtl::OUString &rFrom, const ::rtl::OUString &rTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString()) throw ()
| Holds a mapping from the specified source to the specified destination by environment type names. More...
| Mapping (uno_Environment *pFrom, uno_Environment *pTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString()) throw ()
| Holds a mapping from the specified source to the specified destination. More...
| Mapping (const Environment &rFrom, const Environment &rTo, const ::rtl::OUString &rAddPurpose=::rtl::OUString()) throw ()
| Holds a mapping from the specified source to the specified destination environment. More...
| Mapping (uno_Mapping *pMapping=0) throw ()
| Constructor. More...
| Mapping (const Mapping &rMapping) throw ()
| Copy constructor. More...
| ~Mapping () throw ()
| Destructor. More...
Mapping & | operator= (uno_Mapping *pMapping) throw ()
| Sets a given mapping. More...
Mapping & | operator= (const Mapping &rMapping) throw ()
| Sets a given mapping. More...
uno_Mapping * | get () const throw ()
| Provides a pointer to the C mapping. More...
sal_Bool | is () const throw ()
| Tests if a mapping is set. More...
void | clear () throw ()
| Releases a set mapping. More...
void * | mapInterface (void *pInterface, typelib_InterfaceTypeDescription *pTypeDescr) const throw ()
| Maps an interface from one environment to another. More...
void * | mapInterface (void *pInterface, typelib_TypeDescription *pTypeDescr) const throw ()
| Maps an interface from one environment to another. More...
void * | mapInterface (void *pInterface, const ::com::sun::star::uno::Type &rType) const throw ()
| Maps an interface from one environment to another. More...
void | mapInterface (void **ppOut, void *pInterface, typelib_InterfaceTypeDescription *pTypeDescr) const throw ()
| Maps an interface from one environment to another. More...
void | mapInterface (void **ppOut, void *pInterface, typelib_TypeDescription *pTypeDescr) const throw ()
| Maps an interface from one environment to another. More...
void | mapInterface (void **ppOut, void *pInterface, const ::com::sun::star::uno::Type &rType) const throw ()
| Maps an interface from one environment to another. More...

## Detailed Description

C++ wrapper for C uno_Mapping.

See Also
  uno_Mapping

## Constructor & Destructor Documentation

com::sun::star::uno::Mapping::Mapping | ( | const ::rtl::OUString & | rFrom,
|  | const ::rtl::OUString & | rTo,
|  | const ::rtl::OUString & | rAddPurpose = `::rtl::OUString()`
| ) |  |
throw | ( |
| ) |  |
| inline

Holds a mapping from the specified source to the specified destination by environment type names.

Parameters

  rFrom | type name of source environment
  rTo | type name of destination environment
  rAddPurpose | additional purpose

com::sun::star::uno::Mapping::Mapping | ( | uno_Environment * | pFrom,
|  | uno_Environment * | pTo,
|  | const ::rtl::OUString & | rAddPurpose = `::rtl::OUString()`
| ) |  |
throw | ( |
| ) |  |
| inline

Holds a mapping from the specified source to the specified destination.

Parameters

  pFrom | source environment
  pTo | destination environment
  rAddPurpose | additional purpose

com::sun::star::uno::Mapping::Mapping | ( | const Environment & | rFrom,
|  | const Environment & | rTo,
|  | const ::rtl::OUString & | rAddPurpose = `::rtl::OUString()`
| ) |  |
throw | ( |
| ) |  |
| inline

Holds a mapping from the specified source to the specified destination environment.

Parameters

  rFrom | source environment
  rTo | destination environment
  rAddPurpose | additional purpose

com::sun::star::uno::Mapping::Mapping | ( | uno_Mapping * | pMapping = `0` | ) |
throw | ( |
| ) |  |
| inline

Constructor.

Parameters

  pMapping | another mapping

com::sun::star::uno::Mapping::Mapping | ( | const Mapping & | rMapping | ) |
throw | ( |
| ) |  |
| inline

Copy constructor.

Parameters

  rMapping | another mapping

com::sun::star::uno::Mapping::~Mapping | ( |  | ) |
throw | ( |
| ) |  |
| inline

Destructor.

## Member Function Documentation

void com::sun::star::uno::Mapping::clear | ( |  | ) |
throw | ( |
| ) |  |
| inline

Releases a set mapping.

uno_Mapping* com::sun::star::uno::Mapping::get | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Provides a pointer to the C mapping.

The returned mapping is NOT acquired!

Returns
  UNacquired C mapping

sal_Bool com::sun::star::uno::Mapping::is | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Tests if a mapping is set.

Returns
  true if a mapping is set

void * com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | typelib_InterfaceTypeDescription * | pTypeDescr
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  pTypeDescr | type description of interface

Returns
  mapped interface

void* com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | typelib_TypeDescription * | pTypeDescr
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  pTypeDescr | type description of interface

Returns
  mapped interface

void * com::sun::star::uno::Mapping::mapInterface | ( | void * | pInterface,
|  | const ::com::sun::star::uno::Type & | rType
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  pInterface | source interface
  rType | type of interface

Returns
  mapped interface

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | typelib_InterfaceTypeDescription * | pTypeDescr
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  pTypeDescr | type description of interface

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | typelib_TypeDescription * | pTypeDescr
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  pTypeDescr | type description of interface

void com::sun::star::uno::Mapping::mapInterface | ( | void ** | ppOut,
|  | void * | pInterface,
|  | const ::com::sun::star::uno::Type & | rType
| ) |  | const
throw | ( |
| ) |  |
| inline

Maps an interface from one environment to another.

Parameters

  ppOut | inout mapped interface
  pInterface | source interface
  rType | type of interface to be mapped

Mapping & com::sun::star::uno::Mapping::operator= | ( | uno_Mapping * | pMapping | ) |
throw | ( |
| ) |  |
| inline

Sets a given mapping.

Parameters

  pMapping | another mapping

Returns
  this mapping

Mapping& com::sun::star::uno::Mapping::operator= | ( | const Mapping & | rMapping | ) |
throw | ( |
| ) |  |
| inline

Sets a given mapping.

Parameters

  rMapping | another mapping

Returns
  this mapping

The documentation for this class was generated from the following file:

- uno/mapping.hxx